Package javax.help.search

# Class SearchEngine

java.lang.Object
javax.help.search.SearchEngine

Direct Known Subclasses:
  `MergingSearchEngine`

public abstract class SearchEngine extends Object
Defines the methods used to access a search engine. Each instance is created by a engine factory. Extensions of SearchEngine can perform the search or negotiate the search results with an outside agent. A server search engine is an an example of an outside agent. Search results are returned through SearchEvents to listeners that register with a SearchQuery instance. The SearchQuery is returned from the method createQuery.

See Also:
  - `SearchEvent`
  - `SearchListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected URL`
`base`
`protected Hashtable`
`params`

## Constructor Summary

Constructors
Constructor
Description
`SearchEngine()`
Creates a SearchEngine.
`SearchEngine(URL base, Hashtable params)`
Creates a SearchEngine using the standard JavaHelp SearchEngine parameters.

## Method Summary

Modifier and Type
Method
Description
`abstract SearchQuery`
`createQuery()`
Creates a new search query.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### base

protected URL base

### params

protected Hashtable params

## Constructor Details

### SearchEngine

public SearchEngine(URL base, Hashtable params) throws InvalidParameterException
Creates a SearchEngine using the standard JavaHelp SearchEngine parameters. Only this constructor is used to create a SearchEngine from within a search view.

Parameters:
  `base` - The base address of the data.
  `params` - A hashtable of parameters from the search view.
Throws:
  `InvalidParameterException`

### SearchEngine

public SearchEngine()
Creates a SearchEngine.

## Method Details

### createQuery

public abstract SearchQuery createQuery() throws IllegalStateException
Creates a new search query.

Throws:
  `IllegalStateException`